#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: libkipi
Summary: Interface to use kipi-plugins for KDE
Version: 4.10.2
Release: %mkrel %{rel}
Epoch: 2
Group: System/Libraries
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkipi
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}

# Branch Patch (100-200)

%description
Libkipi is an interface to use kipi-plugins from a KDE image management
program like digiKam (http://www.digikam.org).

#------------------------------------------------------------------------------

%package -n kipi-common
Summary: Non-library files for the kipi library
Group: Graphics/Utilities
BuildArch: noarch
%description -n kipi-common
Libkipi is an interface to use kipi-plugins from a KDE image management
program like digiKam (http://www.digikam.org).

This packages provides the common files needed by kipi library.

%files -n kipi-common
%doc README TODO AUTHORS
%_kde_appsdir/kipi
%_kde_iconsdir/*/*/*/kipi.*
%_kde_servicetypes/kipiplugin.desktop

#------------------------------------------------------------------------------

%package -n kxmlkipicmd
Summary: Tools to launch kipi-plugins from commandline
Group: Graphics/Utilities
%description -n kxmlkipicmd
This package provides kxmlkipicmd which allows to start kipi-plugins from
commandline.

%files -n kxmlkipicmd
%_kde_bindir/kxmlkipicmd
%_kde_appsdir/kxmlkipicmd

#------------------------------------------------------------------------------

%package -n kipi-plugin-kxmlhelloword
Summary: A demo kipi tool using KDE XML-GUI technology
Group: Graphics/Utilities
Requires: kipi-common

%description -n kipi-plugin-kxmlhelloword
This package provides kxmlhelloword which is a demo kipi tool using KDE XML-GUI
technology.

%files -n kipi-plugin-kxmlhelloword
%_kde_libdir/kde4/kipiplugin_kxmlhelloworld.so
%_kde_services/kipiplugin_kxmlhelloworld.desktop

#------------------------------------------------------------------------------

%define kipi_major 10
%define libkipi %mklibname kipi %kipi_major

%package -n %libkipi
Summary: Libkipi runtime library
Group: System/Libraries

%description -n %libkipi
Libkipi is an interface to use kipi-plugins from a KDE image management
program like digiKam (http://www.digikam.org).

This package provides the runtime library.

%files -n %libkipi
%_kde_libdir/libkipi.so.%{kipi_major}*

#------------------------------------------------------------------------------

%define libkipi_devel %mklibname kipi -d

%package -n %{libkipi_devel}
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %{libkipi} = %epoch:%version-%release
Conflicts: kdegraphics4-devel < 2:4.6.90
Conflicts: libkipi-devel < 2:4.9.2-2
Obsoletes: libkipi-devel < 2:4.9.2-2

%description -n %{libkipi_devel}
This package contains header files needed if you wish to build applications
based on %name.

%files -n %{libkipi_devel}
%_kde_includedir/%name
%_kde_libdir/libkipi.so
%_kde_libdir/pkgconfig/libkipi.pc

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407136
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401938
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394321
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 357612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339289
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334471
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Tue Dec 04 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326613
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320159
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Disable -DKDE4_ENABLE_FINAL=ON
- Fix files list

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316112
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301896
- Update tarball to KDE SC 4.9.2
- Fix Group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289641
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 276621
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269714
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 2:4.8.95-1.mga3
+ Revision: 265288
- update libmajor
- new version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257182
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228486
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221509
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198113
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190875
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185789
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182177
- Update tarball to KDE SC 4.7.90
- use gold for linker
- build with -DKDE4_ENABLE_FINAL=ON
- Update URL & description

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176521
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161402
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151981
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140672
- Update tarball to KDE SC 4.7.1
- build -common package as noarch
- Remove %%clean section
- Remove %%defattr
- Update tarball to KDE SC 4.7.0

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122310
- Update tarball to KDE 4.6.90 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 fwang <fwang> 2:4.6.90-1.mga2
+ Revision: 115561
- add versioned requires for common package
- renmae libkipi-common to kipi-common, to be more compatible with older package
- add conflicts on older kdegraphics4-devel for easier upgrading

  + mikala <mikala>
    - imported package libkipi

